package com.xinelu.manage.domain.patientdiseaseinfo;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 患者疾病关系对象 patient_disease_info
 *
 * @author 纪寒
 * @date 2022-09-02
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "患者疾病关系对象", description = "patient_disease_info")
public class PatientDiseaseInfo extends BaseDomain implements Serializable {
    private static final long serialVersionUID = -3788106898887561459L;
    /**
     * 主键id
     */
    private Long id;

    /**
     * 被护理人基本信息表id
     */
    @ApiModelProperty(value = "被护理人基本信息表id")
    @Excel(name = "被护理人基本信息表id")
    private Long patientId;

    /**
     * 疾病表id
     */
    @ApiModelProperty(value = "疾病表id")
    @Excel(name = "疾病表id")
    private Long diseaseId;

    /**
     * 用户表id
     */
    @ApiModelProperty(value = "用户表id")
    @Excel(name = "用户表id")
    private Long userId;

    /**
     * 疾病名称
     */
    @ApiModelProperty(value = "疾病名称")
    @Excel(name = "疾病名称")
    private String diseaseName;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("patientId", getPatientId())
                .append("diseaseId", getDiseaseId())
                .append("userId", getUserId())
                .append("diseaseName", getDiseaseName())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
